C
C	Copyright 1995, The Portland Group, Incorporated.
C	All rights reserved.
C
C	THE PORTLAND GROUP, INCORPORATED PROPRIETARY INFORMATION
C  This software is supplied under the terms of a license agreement
C  or nondisclosure agreement with The Portland Group and may not be
C  copied or disclosed except in accordance with the terms of that
C  agreement.
C

C  data types for local communication routines

C  integer*1
      integer PGLCL_INT1
      parameter (PGLCL_INT1   =  0)

C  integer*2
      integer PGLCL_INT2
      parameter (PGLCL_INT2   =  1)

C  integer*4
      integer PGLCL_INT4
      parameter (PGLCL_INT4   =  2)

C  integer*8
      integer PGLCL_INT8
      parameter (PGLCL_INT8   =  3)

C  logical*1
      integer PGLCL_LOG1
      parameter (PGLCL_LOG1   =  4)

C  logical*2
      integer PGLCL_LOG2
      parameter (PGLCL_LOG2   =  5)

C  logical*4
      integer PGLCL_LOG4
      parameter (PGLCL_LOG4   =  6)

C  logical*8
      integer PGLCL_LOG8
      parameter (PGLCL_LOG8   =  7)

C  real*4
      integer PGLCL_REAL4
      parameter (PGLCL_REAL4  =  8)

C  real*8
      integer PGLCL_REAL8
      parameter (PGLCL_REAL8  =  9)

C  real*16
      integer PGLCL_REAL16
      parameter (PGLCL_REAL16 = 10)

C  complex*8 (2x real*4)
      integer PGLCL_CPLX8
      parameter (PGLCL_CPLX8  = 11)

C  complex*16 (2x real*8)
      integer PGLCL_CPLX16
      parameter (PGLCL_CPLX16 = 12)

C  complex*32 (2x real*16)
      integer PGLCL_CPLX32
      parameter (PGLCL_CPLX32 = 13)

C  typeless
      integer PGLCL_WORD4
      parameter (PGLCL_WORD4  = 14)

C  double typeless
      integer PGLCL_WORD8
      parameter (PGLCL_WORD8  = 15)

C  quad typeless
      integer PGLCL_WORD16
      parameter (PGLCL_WORD16 = 16)


C declare utility function types

      external pghpf_myprocnum, pghpf_nprocs
      external pghpf_coord_to_procnum, pghpf_tid
      integer  pghpf_myprocnum, pghpf_nprocs
      integer  pghpf_coord_to_procnum, pghpf_tid
